// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

var win1 = Titanium.UI.createWindow({  
    title:'Tab 1',
    backgroundColor:'#fff',
    exitOnClose:true,
    navBarHidden:false
});

win1.addEventListener("close", function() {
    abortPendingRequest();
});

function abortPendingRequest() {
    console.log("abort request: " + currentClient);
    currentClient && currentClient.abort();
};
win1.open();
    var currentClient = null;
    function fetchWeatherDataFromBackend() {
        console.log("WeatherDataUtils.load ALL WEATHER remote: ");
        abortPendingRequest();
        var client = Ti.Network.createHTTPClient({
            onload: function(e) {
                console.log("WeatherDataUtils.load ALL WEATHER remote: received response" );
                alert("received response");
                var parsed = JSON.parse(this.responseText);
                currentClient = null;
            },
            onerror: function() {
                currentClient = null;
                console.log("errror");
            },
            onreadystatechange: function() {
               // logTime("WeatherDataUtils.fetchWeatherDataFromBackend.changeReadyState:" + this.getReadyState());
            },
            timeout: 60000
        });

        var url = "https://1-dot-vlast3k-gae1.appspot.com/webgae_real?icao=PHLI&doUpdate=true";
        client.open("GET", url);
        client.send();
        currentClient = client;
    }

fetchWeatherDataFromBackend();
